https://api.knoxapi.com- POST/
v1/ test_helpers/ confirmation_tokens - POST/
v1/ test_helpers/ test_clocks - GET/
v1/ test_helpers/ test_clocks - GET/
v1/ test_helpers/ test_clocks/ {test_clock} - DELETE/
v1/ test_helpers/ test_clocks/ {test_clock} - POST/
v1/ test_helpers/ customers/ {customer}/ fund_cash_balance - POST/
v1/ test_helpers/ refunds/ {refund}/ expire - POST/
v1/ test_helpers/ test_clocks/ {test_clock}/ advance - POST/
v1/ test_helpers/ terminal/ readers/ {reader}/ present_payment_method - POST/
v1/ test_helpers/ terminal/ readers/ {reader}/ succeed_input_collection - POST/
v1/ test_helpers/ terminal/ readers/ {reader}/ timeout_input_collection
Create a test Confirmation Token
POST/v1/test_helpers/confirmation_tokens
Creates a test mode Confirmation Token server side for your integration tests.
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
payment_methodstringID of an existing PaymentMethod.
payment_method_dataobjectIf provided, this hash will be used to create a PaymentMethod.
Show 59 child parameters
typestringRequiredPossible valuesacss_debitaffirmafterpay_clearpayalipayalmaamazon_payau_becs_debitbacs_debitbancontactbilliebizumblikboletocashappcryptocustomer_balance- and 37 more
acss_debitobjectShow 3 child parameters
account_numberstringRequiredinstitution_numberstringRequiredtransit_numberstringRequired
affirmobjectafterpay_clearpayobjectalipayobjectallow_redisplaystringPossible valuesalwayslimitedunspecified
almaobjectamazon_payobjectau_becs_debitobjectShow 2 child parameters
account_numberstringRequiredbsb_numberstringRequired
bacs_debitobjectShow 2 child parameters
account_numberstringsort_codestring
bancontactobjectbillieobjectbilling_detailsobjectShow 5 child parameters
addressobjectChild parameters are listed in the OpenAPI document.
emailstringnamestringphonestringtax_idstring
bizumobjectblikobjectboletoobjectShow 1 child parameter
tax_idstringRequired
cashappobjectcryptoobjectcustomer_balanceobjectepsobjectShow 1 child parameter
bankstringPossible valuesarzte_und_apotheker_bankaustrian_anadi_bank_agbank_austriabankhaus_carl_spanglerbankhaus_schelhammer_und_schattera_agbawag_psk_agbks_bank_agbrull_kallmus_bank_agbtv_vier_lander_bankcapital_bank_grawe_gruppe_agdeutsche_bank_agdolomitenbankeasybank_agerste_bank_und_sparkassenhypo_alpeadriabank_international_aghypo_bank_burgenland_aktiengesellschaft- and 12 more
fpxobjectShow 1 child parameter
bankstringRequiredPossible valuesaffin_bankagrobankalliance_bankambankbank_islambank_muamalatbank_of_chinabank_rakyatbnp_paribasbsncimbcitibankdeutsche_bankhong_leong_bankhsbckfh- and 9 more
giropayobjectgrabpayobjectidealobjectShow 1 child parameter
bankstringPossible valuesabn_amroadyenasn_bankbunqbuutfinomhandelsbankeningknabmolliemoneyoun26nnrabobankregiobankrevolut- and 4 more
interac_presentobjectkakao_payobjectklarnaobjectShow 1 child parameter
dobobjectChild parameters are listed in the OpenAPI document.
konbiniobjectkr_cardobjectlinkobjectmb_wayobjectmetadataobjectmobilepayobjectmultibancoobjectnaver_payobjectShow 1 child parameter
fundingstringPossible valuescardpoints
nz_bank_accountobjectShow 6 child parameters
account_numberstringRequiredbank_codestringRequiredbranch_codestringRequiredsuffixstringRequiredaccount_holder_namestringreferencestring
oxxoobjectp24objectShow 1 child parameter
bankstringPossible valuesalior_bankbank_millenniumbank_nowy_bfg_sabank_pekao_sabanki_spbdzielczeblikbnp_paribasbozciti_handlowycredit_agricoleenvelobanketransfer_pocztowy24getin_bankideabankinginteligo- and 10 more
pay_by_bankobjectpaycoobjectpaynowobjectpaypalobjectpaytoobjectShow 3 child parameters
account_numberstringbsb_numberstringpay_idstring
pixobjectpromptpayobjectradar_optionsobjectShow 1 child parameter
sessionstring
revolut_payobjectsamsung_payobjectsatispayobjectscalapayobjectsepa_debitobjectShow 1 child parameter
ibanstringRequired
sofortobjectShow 1 child parameter
countrystringRequiredPossible valuesATBEDEESITNL
sunbitobjectswishobjecttwintobjectupiobjectShow 1 child parameter
mandate_optionsobjectChild parameters are listed in the OpenAPI document.
us_bank_accountobjectShow 5 child parameters
account_holder_typestringPossible valuescompanyindividual
account_numberstringaccount_typestringPossible valuescheckingsavings
financial_connections_accountstringrouting_numberstring
wechat_payobjectzipobject
payment_method_optionsobjectPayment-method-specific configuration for this ConfirmationToken.
Show 1 child parameter
cardobjectShow 1 child parameter
installmentsobjectChild parameters are listed in the OpenAPI document.
return_urlstringReturn URL used to confirm the Intent.
setup_future_usagestringIndicates that you intend to make future payments with this ConfirmationToken's payment method. The presence of this property will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete.
Possible valuesoff_sessionon_session
shippingobjectShipping information for this ConfirmationToken.
Show 3 child parameters
addressobjectRequiredShow 6 child parameters
citystringcountrystringline1stringline2stringpostal_codestringstatestring
namestringRequiredphonestring
Returns
The confirmation_token object.
curl -X POST https://api.knoxapi.com/v1/test_helpers/confirmation_tokens \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/confirmation_tokens');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/confirmation_tokens")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/confirmation_tokens'){
"created": 1234567890,
"expires_at": 1234567890,
"id": "ctoken_1Pgc73B7WZ01zgkWgFXpfTtv",
"livemode": true,
"mandate_data": {
"customer_acceptance": {
"online": {
"ip_address": null,
"user_agent": null
},
"type": "type"
}
},
"object": "confirmation_token",
"payment_intent": null,
"payment_method_options": {
"card": {
"cvc_token": null
}
},
"payment_method_preview": {
"allow_redisplay": "unspecified",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"email": null,
"name": "Jane Austen",
"phone": null,
"tax_id": null
},
"customer": null,
"type": "us_bank_account",
"us_bank_account": {
"account_holder_type": "company",
"account_type": "checking",
"bank_name": "STRIPE TEST BANK",
"financial_connections_account": null,
"fingerprint": "AuoSJ18zsVWV9SPc",
"last4": "6789",
"networks": {
"preferred": "ach",
"supported": [
"ach"
]
},
"routing_number": "110000000",
"status_details": {}
},
"customer_account": null
},
"return_url": "https://example.com/return",
"setup_future_usage": "off_session",
"setup_intent": null,
"shipping": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"name": "Jenny Rosen",
"phone": null
},
"use_stripe_sdk": true,
"metadata": null
}Create a test clock
POST/v1/test_helpers/test_clocks
Creates a new test clock that can be attached to new customers and quotes.
Body parameters
frozen_timeintegerRequiredThe initial frozen time for this test clock.
customerstringExisting customer this test clock will be attached to. Once attached, customers can't be removed from a test clock.
expandarray of stringsSpecifies which fields in the response should be expanded.
namestringThe name for this test clock.
Returns
The test_helpers.test_clock object.
curl https://api.knoxapi.com/v1/test_helpers/test_clocks \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d frozen_time=1234567890const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/test_clocks', {
frozen_time: 1234567890,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/test_clocks", frozen_time=1234567890)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/test_clocks', {
frozen_time: 1234567890,
}){
"created": 1234567890,
"deletes_after": 1234567890,
"frozen_time": 1234567890,
"id": "clock_1Pgc6yB7WZ01zgkWVlemIOED",
"livemode": false,
"name": null,
"object": "test_helpers.test_clock",
"status": "ready",
"status_details": {}
}List all test clocks
GET/v1/test_helpers/test_clocks
Returns a list of your test clocks.
Query parameters
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of test_helpers.test_clock objects.
curl -G https://api.knoxapi.com/v1/test_helpers/test_clocks \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/test_helpers/test_clocks', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/test_helpers/test_clocks", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/test_helpers/test_clocks', {
limit: 3,
}){
"object": "list",
"url": "/v1/test_helpers/test_clocks",
"has_more": false,
"data": [
{
"created": 1234567890,
"deletes_after": 1234567890,
"frozen_time": 1234567890,
"id": "clock_1Pgc6yB7WZ01zgkWVlemIOED",
"livemode": false,
"name": null,
"object": "test_helpers.test_clock",
"status": "ready",
"status_details": {}
}
]
}Retrieve a test clock
GET/v1/test_helpers/test_clocks/{test_clock}
Retrieves a test clock.
Path parameters
test_clockstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The test_helpers.test_clock object.
curl https://api.knoxapi.com/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED'){
"created": 1234567890,
"deletes_after": 1234567890,
"frozen_time": 1234567890,
"id": "clock_1Pgc6yB7WZ01zgkWVlemIOED",
"livemode": false,
"name": null,
"object": "test_helpers.test_clock",
"status": "ready",
"status_details": {}
}Delete a test clock
DELETE/v1/test_helpers/test_clocks/{test_clock}
Deletes a test clock.
Path parameters
test_clockstringRequired
Returns
The deleted_test_helpers.test_clock object.
curl -X DELETE https://api.knoxapi.com/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED'){
"deleted": true,
"id": "clock_1Pgc6yB7WZ01zgkWVlemIOED",
"object": "test_helpers.test_clock"
}Fund a test mode cash balance
POST/v1/test_helpers/customers/{customer}/fund_cash_balance
Create an incoming testmode bank transfer
Path parameters
customerstringRequired
Body parameters
amountintegerRequiredAmount to be used for this test cash balance transaction. A positive integer representing how much to fund in the smallest currency unit (e.g., 100 cents to fund $1.00 or 100 to fund ¥100, a zero-decimal currency).
currencystringRequiredThree-letter ISO currency code, in lowercase. Must be a supported currency.
expandarray of stringsSpecifies which fields in the response should be expanded.
referencestringA description of the test funding. This simulates free-text references supplied by customers when making bank transfers to their cash balance. You can use this to test how Stripe's reconciliation algorithm applies to different user inputs.
Returns
The customer_cash_balance_transaction object.
curl https://api.knoxapi.com/v1/test_helpers/customers/cus_QXg1o8vcGmoR32/fund_cash_balance \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d amount=1000 \
-d currency=eurconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/customers/cus_QXg1o8vcGmoR32/fund_cash_balance', {
amount: 1000,
currency: 'eur',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/customers/cus_QXg1o8vcGmoR32/fund_cash_balance", amount=1000, currency="eur")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/customers/cus_QXg1o8vcGmoR32/fund_cash_balance', {
amount: 1000,
currency: 'eur',
}){
"created": 1234567890,
"currency": "eur",
"customer": "cus_QXg1o8vcGmoR32",
"ending_balance": 10000,
"funded": {
"bank_transfer": {
"eu_bank_transfer": {
"bic": "BANKDEAAXXX",
"iban_last4": "7089",
"sender_name": "Sample Business GmbH"
},
"reference": "Payment for Invoice 7FE1103-155",
"type": "eu_bank_transfer"
}
},
"id": "ccsbtxn_1Pgc75B7WZ01zgkWzdJj4ufI",
"livemode": false,
"net_amount": 5000,
"object": "customer_cash_balance_transaction",
"type": "funded",
"customer_account": null
}Expire a pending refund.
POST/v1/test_helpers/refunds/{refund}/expire
Expire a refund with a status of requires_action.
Path parameters
refundstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The refund object.
curl -X POST https://api.knoxapi.com/v1/test_helpers/refunds/re_1Pgc72B7WZ01zgkWqPvrRrPE/expire \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/refunds/re_1Pgc72B7WZ01zgkWqPvrRrPE/expire');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/refunds/re_1Pgc72B7WZ01zgkWqPvrRrPE/expire")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/refunds/re_1Pgc72B7WZ01zgkWqPvrRrPE/expire'){
"amount": 100,
"balance_transaction": null,
"charge": "ch_1PgafuB7WZ01zgkWXYmPNZs8",
"created": 1234567890,
"currency": "usd",
"destination_details": {
"card": {
"type": "reversal"
},
"type": "card"
},
"id": "re_1Pgc72B7WZ01zgkWqPvrRrPE",
"metadata": {},
"object": "refund",
"payment_intent": null,
"reason": null,
"receipt_number": null,
"source_transfer_reversal": null,
"status": "succeeded",
"transfer_reversal": null,
"customer": null,
"customer_account": null,
"payment_method": null
}Advance a test clock
POST/v1/test_helpers/test_clocks/{test_clock}/advance
Starts advancing a test clock to a specified time in the future. Advancement is done when status changes to Ready.
Path parameters
test_clockstringRequired
Body parameters
frozen_timeintegerRequiredThe time to advance the test clock. Must be after the test clock's current frozen time. Cannot be more than two intervals in the future from the shortest subscription in this test clock. If there are no subscriptions in this test clock, it cannot be more than two years in the future.
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The test_helpers.test_clock object.
curl https://api.knoxapi.com/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED/advance \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d frozen_time=1234567890const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED/advance', {
frozen_time: 1234567890,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED/advance", frozen_time=1234567890)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/test_clocks/clock_1Pgc6yB7WZ01zgkWVlemIOED/advance', {
frozen_time: 1234567890,
}){
"created": 1234567890,
"deletes_after": 1234567890,
"frozen_time": 1234567890,
"id": "clock_1Pgc6yB7WZ01zgkWVlemIOED",
"livemode": false,
"name": null,
"object": "test_helpers.test_clock",
"status": "ready",
"status_details": {}
}Simulate presenting a payment method
POST/v1/test_helpers/terminal/readers/{reader}/present_payment_method
Presents a payment method on a simulated reader. Can be used to simulate accepting a payment, saving a card or refunding a transaction.
Path parameters
readerstringRequired
Body parameters
amount_tipintegerSimulated on-reader tip amount.
cardobjectSimulated data for the card payment method.
Show 4 child parameters
exp_monthintegerRequiredexp_yearintegerRequirednumberstringRequiredcvcstring
card_presentobjectSimulated data for the card_present payment method.
Show 1 child parameter
numberstring
expandarray of stringsSpecifies which fields in the response should be expanded.
interac_presentobjectSimulated data for the interac_present payment method.
Show 1 child parameter
numberstring
typestringSimulated payment type.
Possible valuescardcard_presentinterac_present
Returns
The terminal.reader object.
curl -X POST https://api.knoxapi.com/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/present_payment_method \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/present_payment_method');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/present_payment_method")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/present_payment_method'){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Simulate a successful input collection
POST/v1/test_helpers/terminal/readers/{reader}/succeed_input_collection
Use this endpoint to trigger a successful input collection on a simulated reader.
Path parameters
readerstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
skip_non_required_inputsstringThis parameter defines the skip behavior for input collection.
Possible valuesallnone
Returns
The terminal.reader object.
curl -X POST https://api.knoxapi.com/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/succeed_input_collection \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/succeed_input_collection');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/succeed_input_collection")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/succeed_input_collection'){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Simulate an input collection timeout
POST/v1/test_helpers/terminal/readers/{reader}/timeout_input_collection
Use this endpoint to complete an input collection with a timeout error on a simulated reader.
Path parameters
readerstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.reader object.
curl -X POST https://api.knoxapi.com/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/timeout_input_collection \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/timeout_input_collection');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/timeout_input_collection")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/test_helpers/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/timeout_input_collection'){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.